"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

Query subclass:#LoadInProgressQuery
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Queries'
!

!LoadInProgressQuery class methodsFor:'documentation'!

documentation
"
    Abstract superclass of queries which are answered during package or class loading,
    and allows for browsers to defer their updates.
    E.g. to bundle redraws when multiple changes are to come
    for a class or package.
"
! !

!LoadInProgressQuery class methodsFor:'answering queries during load'!

answerNotifyLoadingDo:aBlock
    [
        Smalltalk changed:#preLoad.
        self answer:true do:aBlock
    ] ensure:[
        Smalltalk changed:#postLoad
    ].
! !

!LoadInProgressQuery class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/LoadInProgressQuery.st,v 1.1 2015-02-01 13:18:43 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/LoadInProgressQuery.st,v 1.1 2015-02-01 13:18:43 cg Exp $'
! !

